Draft Punto

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Point and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft BSpline.svg B-spline Pagina precedente:
Pagina successiva: Forma da testo Draft ShapeString.svg Arrow-right.svg

Draft Point.svg Punto

Nome nel codice
Draft Point
Posizione nel menu
Draft → Punto
Ambiente
Draft, Architettura
Avvio veloce
P T
Introdotto nella versione
0.7
Vedere anche
Aggiungi punto, Linea, Polilinea


Descrizione

Lo strumento Draft Point.svg Punto crea un semplice punto nel piano di lavoro corrente, utilizzabile come riferimento per posizionare successivamente delle linee, polilinee, o altri oggetti. Assume il tipo di linea e il colore impostati nella barra di Draft.

Draft point example.jpg

Un singolo punto posizionato sul piano di lavoro


Utilizzo

  1. Premere il pulsante Draft Point.svg Punto, o premere i tasti P e T
  2. Selezionare un punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z.. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto T o fare clic sulla casella di controllo per attivare la modalità continua. Se la modalità continua è attiva, lo strumento punto viene riavviato dopo aver posizionato un punto, consentendo di posizionarne un altro senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

  • DatiX : la coordinata X del punto.
  • DatiY : la coordonata Y del punto.
  • DatiZ : la coordonata Z del punto.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Punto può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Crea un oggetto Point con le coordinate specicate in X, Y e Z, con unità in millimetri. Se non vengono fornite coordinate, il punto viene creato all'origine (0,0,0).
    • Se X è un point definito da un FreeCAD.Vector, esso viene usato.
  • color è una tupla (R, G, B) che indica il colore del punto nella scala RGB; ogni valore nella tupla deve essere compreso nell'intervallo tra 0 e 1.
  • name è il nome dell'oggetto.
  • point_size è la dimensione dell'oggetto in pixel, se viene caricata l'interfaccia utente grafica.

Esempio:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Esempio:

Questo codice crea N punti casuali all'interno di un quadrato di lato 2L. Crea un anello creando N punti, che possono apparire ovunque da -L a + L su X e Y; inoltre sceglie un colore e una dimensione casuali per ciascun punto. Cambiare N per cambiare il numero di punti e cambiare L per cambiare l'area coperta dai punti.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft BSpline.svg B-spline Pagina precedente:
Pagina successiva: Forma da testo Draft ShapeString.svg Arrow-right.svg